com.massivecraft.factions.util.Particles

## Enum ReflectionUtils.PackageType

- java.lang.Object
- - java.lang.Enum<ReflectionUtils.PackageType>
  - - com.massivecraft.factions.util.Particles.ReflectionUtils.PackageType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReflectionUtils.PackageType>
  Enclosing class:
    ReflectionUtils

      public static enum ReflectionUtils.PackageType
      extends java.lang.Enum<ReflectionUtils.PackageType>

  Represents an enumeration of dynamic packages of NMS and CraftBukkit This class is part of the ReflectionUtils and follows the same usage conditions
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRAFTBUKKIT`
    `CRAFTBUKKIT_BLOCK`
    `CRAFTBUKKIT_CHUNKIO`
    `CRAFTBUKKIT_COMMAND`
    `CRAFTBUKKIT_CONVERSATIONS`
    `CRAFTBUKKIT_ENCHANTMENS`
    `CRAFTBUKKIT_ENTITY`
    `CRAFTBUKKIT_EVENT`
    `CRAFTBUKKIT_GENERATOR`
    `CRAFTBUKKIT_HELP`
    `CRAFTBUKKIT_INVENTORY`
    `CRAFTBUKKIT_MAP`
    `CRAFTBUKKIT_METADATA`
    `CRAFTBUKKIT_POTION`
    `CRAFTBUKKIT_PROJECTILES`
    `CRAFTBUKKIT_SCHEDULER`
    `CRAFTBUKKIT_SCOREBOARD`
    `CRAFTBUKKIT_UPDATER`
    `CRAFTBUKKIT_UTIL`
    `MINECRAFT_SERVER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getClass(java.lang.String className)` Returns the class with the given name
    `java.lang.String` | `getPath()` Returns the path of this package type
    `static java.lang.String` | `getServerVersion()` Returns the version of your server
    `java.lang.String` | `toString()`
    `static ReflectionUtils.PackageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReflectionUtils.PackageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MINECRAFT_SERVER

          public static final ReflectionUtils.PackageType MINECRAFT_SERVER

    - #### CRAFTBUKKIT

          public static final ReflectionUtils.PackageType CRAFTBUKKIT

    - #### CRAFTBUKKIT_BLOCK

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_BLOCK

    - #### CRAFTBUKKIT_CHUNKIO

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_CHUNKIO

    - #### CRAFTBUKKIT_COMMAND

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_COMMAND

    - #### CRAFTBUKKIT_CONVERSATIONS

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_CONVERSATIONS

    - #### CRAFTBUKKIT_ENCHANTMENS

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_ENCHANTMENS

    - #### CRAFTBUKKIT_ENTITY

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_ENTITY

    - #### CRAFTBUKKIT_EVENT

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_EVENT

    - #### CRAFTBUKKIT_GENERATOR

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_GENERATOR

    - #### CRAFTBUKKIT_HELP

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_HELP

    - #### CRAFTBUKKIT_INVENTORY

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_INVENTORY

    - #### CRAFTBUKKIT_MAP

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_MAP

    - #### CRAFTBUKKIT_METADATA

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_METADATA

    - #### CRAFTBUKKIT_POTION

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_POTION

    - #### CRAFTBUKKIT_PROJECTILES

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_PROJECTILES

    - #### CRAFTBUKKIT_SCHEDULER

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_SCHEDULER

    - #### CRAFTBUKKIT_SCOREBOARD

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_SCOREBOARD

    - #### CRAFTBUKKIT_UPDATER

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_UPDATER

    - #### CRAFTBUKKIT_UTIL

          public static final ReflectionUtils.PackageType CRAFTBUKKIT_UTIL

  - ### Method Detail

    - #### values

          public static ReflectionUtils.PackageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReflectionUtils.PackageType c : ReflectionUtils.PackageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReflectionUtils.PackageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getServerVersion

          public static java.lang.String getServerVersion()

      Returns the version of your server
      Returns:
        The server version

    - #### getPath

          public java.lang.String getPath()

      Returns the path of this package type
      Returns:
        The path

    - #### getClass

          public java.lang.Class<?> getClass(java.lang.String className)
                                      throws java.lang.ClassNotFoundException

      Returns the class with the given name
      Parameters:
        `className` - Name of the desired class
      Returns:
        The class with the specified name
      Throws:
        `java.lang.ClassNotFoundException` - If the desired class with the specified name and package cannot be found

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ReflectionUtils.PackageType>`